libetonyek::IWORKListLabelGeometriesProperty Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKListLabelGeometriesProperty Class Reference

`#include <IWORKListLabelGeometriesProperty.h>`

Inheritance diagram for libetonyek::IWORKListLabelGeometriesProperty:

## Public Member Functions
| IWORKListLabelGeometriesProperty (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
IWORKPropertyMap & | m_propertyMap
std::deque< IWORKListLabelGeometry > | m_elements
boost::optional< ID_t > | m_ref

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKListLabelGeometriesProperty()

libetonyek::IWORKListLabelGeometriesProperty::IWORKListLabelGeometriesProperty | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | propMap )

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKListLabelGeometriesProperty::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKListLabelGeometriesProperty::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_elements

std::deque<IWORKListLabelGeometry> libetonyek::IWORKListLabelGeometriesProperty::m_elements
| private

Referenced by element(), and endOfElement().

## ◆ m_propertyMap

IWORKPropertyMap& libetonyek::IWORKListLabelGeometriesProperty::m_propertyMap
| private

Referenced by endOfElement().

## ◆ m_ref

boost::optional<ID_t> libetonyek::IWORKListLabelGeometriesProperty::m_ref
| private

Referenced by element(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKListLabelGeometriesProperty.h
- IWORKListLabelGeometriesProperty.cpp